one-entity-mobile-application-access-get-one¶
Source¶
Repository:
jef-systems/jef-one-backendSource Run ID:
25256246879Source SHA:
944e655286e0c87c6e611453ffc46df43159a83dModule:
oneDocumentation Scope:
getLambda:
jef-one-get-7
Endpoint¶
API Name:
jef-oneAction Name:
getMethod:
GETScope Label:
GETResource Path:
/one-entity-mobile-application-access-get-oneComplete Endpoint:
https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entity-mobile-application-access-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-get-7curl payload mode:
query_string
API Gateway Description¶
Function: jef-one-get-7
API Name: jef-one
Action: get
Method: GET
Resource Path: /one-entity-mobile-application-access-get-one
Table:
- table: jef-one-entity-mobile-application-access
- operation: get-one
Payload Schema:
- pk: entity_number
- sk: mobile_application_number
Payload Example:
- pk: ENTITY-001
- sk: MOBILE-APP-001
Response Schema:
- exists: boolean
- message: string
- item: {"entity_number":"string","mobile_application_number":"string","is_active":"boolean"}
Request Payload¶
{
"pk": "entity_number",
"sk": "mobile_application_number"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"entity_number\":\"string\",\"mobile_application_number\":\"string\",\"is_active\":\"boolean\"}"
}
CMD curl¶
curl "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entity-mobile-application-access-get-one?pk=ENTITY-001&sk=MOBILE-APP-001"
PowerShell curl¶
curl.exe "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entity-mobile-application-access-get-one?pk=ENTITY-001&sk=MOBILE-APP-001"